/* ========================
			Index 
===========================

1.Variables (8 - 14 line)
2.General CSS (17 - )
2.Header (15 - )
*/

/* h1 {
	color: var(--theme-color);
} */

/*========================= 
		1. Variables 
==========================*/:root {
--theme-color: #111111;
--primary-color: #222222;
--secondary-color: #333333;
--light-primary-color: #f1f1f1;
--footer-links: #1d1d1f;
--copyright: #6e6e73;
--form-label: #666666;
--form-link: #d33f49;
--test: red;
}

/*========================= 
		2. Genral CSS
==========================*/
html, body {
height: 100%;
}

body {
font-family: 'Inter', sans-serif;
}

main {
min-height: 100%;
}




/*========================= 
		3. Header
==========================*/
header {
background-color: var(--light-primary-color);
padding: 20px 50px;
}
header .logo img{
	width: 120px;
}

nav {
display: flex;
align-items: center;
justify-content: space-between;
position: relative;
}

.nav-inner ul {
list-style: none;
margin-bottom: 0;
}

.nav-inner ul li {
display: inline-block;
margin-left: 15px;
}

/* .nav-inner ul li:last-child{
	margin-left: 0;
} */
.custom-navbar li a {
color: var(--secondary-color);
font-size: 16px;
font-weight: 600;
text-decoration: none;
display: inline-block;
}

.custom-navbar li a:hover {
color: #d94040;
}

.toggle {
display: none;
}
.cart-icon {
	width: 30px;
	height: 30px;
	background: url('../images/shopping-cart.svg') no-repeat center;
	background-size: cover;
}
/*========================= 
		4. Custom Form
==========================*/
.account {
	padding: 80px 0 60px 0;
}
.section-subheading {
	font-size: 26px;
	color: var(--secondary-color);
}
.user-login-form {
	border: 1px solid #eeeeee;
    padding: 20px;
    margin: 2em 0;
    text-align: left;
    border-radius: 5px;
}
.user-login-form form label {
	display: block;
	font-size: 14px;
	color: var(--form-label);
}
.custom-form input:focus,
.custom-form input:active{
	outline: none;
	border: none;
}

.custom-form input {
	width: 100%;
    -webkit-appearance: none;
    background-color: #eee;
    max-width: 100%;
    border-width: 0;
    border-radius: 0;
    color: #999;
    font-size: 14px;
    padding: 16px;
    line-height: 1.7em;
    border-style: solid;
}
.custom-form input[type="submit"]{
	background: none;
	display: inline-block;
	width: auto;
	border: 1px solid #333333;
	color: var(--primary-color);
	text-transform: uppercase;
	padding: 10px 40px;
	margin-bottom: 16px;
	margin-right: 20px;
}
.custom-form input[type="submit"]:hover {
	background-color: var(--primary-color);
	color: #ffffff;
}
.custom-form input[type="checkbox"]  {
	display: inline-block;
	width: auto;
    -webkit-appearance: auto;
}
.custom-form input[type="checkbox"] + label {
	display: inline-block;
	width: auto;
}
.required {
	color: var(--form-link);
}
.custom-form .error {
	margin-bottom: 0;
	font-size: 14px;
	line-height: 20px;
	display: block;
	color: var(--form-link);
	margin-top: 5px;
	text-transform:;
}
.custom-form a {
	color: var(--form-link);
}
.custom-form p.policy-text {
	    display: block;
    font-size: 14px;
    color: var(--form-label);
}
.custom-form .half {
    display: grid;
    grid-template-columns: auto auto;
}

.custom-form .half p {
	margin-right: 20px;
}
.custom-form .half p:last-child {
margin-right: 0;
}
/*========================= 
		4. Footer
==========================*/
footer {
	margin-top: -108px;
	padding: 25px 0;
	background-color: var(--light-primary-color);
}
.push {
height: 108px;
}

.footer-navigation {
	padding-left: 0;
	list-style: none;
	text-align: center;
	margin-bottom: 0;
}
.footer-navigation li {
	display: inline-block;
	margin-right: 15px;
}
.footer-navigation li a {
    font-size: 16px;
    color: var(--footer-links);
    font-weight: 400;
    text-decoration: none;
}
.footer-navigation li:last-child {
	margin-right: 0;
}
footer p {
	font-size: 15px;
	margin-bottom: 0;
	text-align: center;
	color: var(--copyright);
	margin-top: 10px;
}

@media (max-width:992px) {
	.logo {
		margin-left: 0;
	}
	.nav-inner {
	    display: contents;
	}
	header {
		padding-left: 15px;
		padding-right: 15px;
		position: sticky;
		top: 0;
		left: 0;
	}

	.custom-navbar {
		opacity: 0;
		position: absolute;
		top: 0;
		left: -100%;
		padding-left: 0;
		background-color: #f6f6f6;
		width: 100%;
		height: 100vh;
		transition: all ease 0.5s;
	}

	.custom-navbar.active {
		left: 0;
		transition: all ease 0.5s;
	}

	.nav-inner ul li {
		display: block;
		margin-left: 0;
		padding: 8px 0;
		text-align: center;
		border-bottom: 1px solid #f1f1f1;
	}

	.custom-navbar.active {
		opacity: 1;
	}

	.toggle {
		display: block;
	}

	.toggle {
		cursor: pointer;
		overflow: hidden;
		width: 30px;
		height: 30px;
		position: relative;
		display: flex;
		align-items: center;
		justify-content: flex-start;
		margin-right: 0;
		z-index: 1;
	}

	.line-toggle {
		position: absolute;
		display: block;
		width: 17px;
		height: 4px;
		background: #000;
		transition: all .6s;
	}

	.line-toggle:first-child {
		transform: translateY(-10px) translateX(0);
		width: 30px;
		transition-delay: 0s;
	}

	.toggle .line-toggle:nth-child(2) {
		transition-delay: .12s;
	}

	.line-toggle:last-child {
		transform: translateY(10px) translateX(0);
		width: 24px;
		transition-delay: 0s;
	}

	.toggle.activate .line-toggle:first-child {
		background: orangered;
		transform: translateY(0) translateX(0) rotate(45deg);
		width: 30px;
		height: 4px;
		transition-delay: .1s;
	}

	.toggle.activate .line-toggle:nth-child(2) {
		transform: translateX(110px);
		transition-delay: 0s;
	}

	.toggle.activate .line-toggle:last-child {
		background: orangered;
		transform: translateY(0) translateX(0) rotate(314deg);
		width: 30px;
		height: 4px;		
	}

}